---
title: get-conditional-firewall-bypasses
product: vercel
url: /docs/rest-api/sdk/security/get-conditional-firewall-bypasses
canonical_url: "https://vercel.com/docs/rest-api/sdk/security/get-conditional-firewall-bypasses"
last_updated: 2026-10-16
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-conditional-firewall-bypasses on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get conditional firewall bypasses

```http
GET /v1/security/firewall/bypass/rules
```

Retrieve conditional firewall bypass rules for a project.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string | Yes |  |
| `slug` | string | No |  |
| `domain` | string | No |  |
| `limit` | number. min: 1; max: 100 | No |  |
| `offset` | string. maxLength: 512 | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.security.getConditionalBypass({
    projectId: "<id>",
    slug: "my-team-url-slug",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "result": [
    {
      "conditions": [
        {
          "key": "string",
          "neg": "false",
          "op": "eq",
          "type": "bot_category",
          "value": "string"
        }
      ]
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "object",
      "required": [
        "result"
      ],
      "properties": {
        "result": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "conditions"
            ]
          }
        }
      }
    },
    {
      "type": "object",
      "required": [
        "pagination",
        "result"
      ],
      "properties": {
        "pagination": {
          "type": "object",
          "required": [
            "next"
          ],
          "properties": {
            "next": {
              "type": "string",
              "nullable": true
            }
          }
        },
        "result": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "conditionGroup",
              "domain"
            ]
          }
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [security endpoints](/docs/rest-api#security)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
